Skip to main content
GET
/
api
/
v1
/
kyc
/
nin
Lookup NIN
curl --request GET \
  --url https://api.dojah.io/api/v1/kyc/nin \
  --header 'AppId: <appid>' \
  --header 'Authorization: <api-key>'
  {
            "entity": {
                "first_name": "John",
                "last_name": "Musa",
                "gender": "Male",
                "middle_name": "Doe",
                "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc...",
                "date_of_birth": "1982-01-01",
                "email": "abc@gmail.com",
                "phone_number": "08012345678",
                "employment_status": "unemployment",
                "marital_status": "Single"
            }
        } 

Documentation Index

Fetch the complete documentation index at: https://docs.dojah.io/llms.txt

Use this file to discover all available pages before exploring further.

AppId
string
required
Application ID from dashboard

Query parameter

nin
string
required
National Identification Number

RESPONSES

200
json
json
400
Object
401
Object
  {
            "entity": {
                "first_name": "John",
                "last_name": "Musa",
                "gender": "Male",
                "middle_name": "Doe",
                "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc...",
                "date_of_birth": "1982-01-01",
                "email": "abc@gmail.com",
                "phone_number": "08012345678",
                "employment_status": "unemployment",
                "marital_status": "Single"
            }
        }